Bug 96276 - Fileopen: RTF paragraph line spacing 1.15 instead of Single
Summary: Fileopen: RTF paragraph line spacing 1.15 instead of Single
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:rtf
: 106637 (view as bug list)
Depends on:
Blocks: RTF-Paragraph
  Show dependency treegraph
 
Reported: 2015-12-06 00:11 UTC by Ari Latvala
Modified: 2019-04-10 09:17 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
PDF version showing the expected layout (181.77 KB, application/pdf)
2015-12-06 00:11 UTC, Ari Latvala
Details
RTF version having incorrect line spacing (141.43 KB, application/rtf)
2015-12-06 00:12 UTC, Ari Latvala
Details
doc layout in MS Word 2016 (364.90 KB, application/pdf)
2017-03-29 18:43 UTC, Laszlo Bona
Details
doc layout in Libre Office 5.1 (61.95 KB, application/pdf)
2017-03-29 18:44 UTC, Laszlo Bona
Details
RTF version (reduced) (37.50 KB, application/rtf)
2017-10-26 15:09 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ari Latvala 2015-12-06 00:11:33 UTC
Created attachment 121061 [details]
PDF version showing the expected layout

LibreOffice 5.0.4.1 running on Windows 7 64-bit. Layout incorrect for RTF version of document "Pentutarkistus / Eläinlääkärintodistus" available at http://www.kissaliitto.fi/lomakkeet/rekisterointi

Attached RTF and PDF versions of the same document for comparison. Tables having paragraph line spacing set to Proportional 115% instead of Single leading to the vertically expanded view with the last lines disappearing and document turning from once page to two pages.
Comment 1 Ari Latvala 2015-12-06 00:12:19 UTC
Created attachment 121062 [details]
RTF version having incorrect line spacing
Comment 2 Buovjaga 2015-12-06 13:35:31 UTC
Confirmed.

4.3 does not have this, but it is otherwise messed up. Not sure, if keyword regression is appropriate so leaving it out for now.

Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: 81fa5340191baf8687f9c82f1f414f5afc86b529
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-03_21:19:19
Locale: fi-FI (fi_FI)
Comment 3 Timur 2015-12-08 10:33:07 UTC
4.3 has different behavior, but this spacing is wrong since 4.3.1.
Comment 4 Cor Nouws 2015-12-18 12:37:09 UTC Comment hidden (obsolete)
Comment 5 Timur 2015-12-24 10:31:05 UTC Comment hidden (obsolete)
Comment 6 Cor Nouws 2015-12-27 21:38:36 UTC Comment hidden (obsolete)
Comment 7 Cor Nouws 2015-12-28 08:16:27 UTC Comment hidden (obsolete)
Comment 8 Ari Latvala 2016-06-02 20:27:44 UTC Comment hidden (obsolete)
Comment 9 Laszlo Bona 2017-03-29 18:41:25 UTC
The problem still exests

Version: 5.1.6.2
Build ID: 1:5.1.6~rc2-0ubuntu1~xenial1
Comment 10 Laszlo Bona 2017-03-29 18:43:36 UTC Comment hidden (obsolete)
Comment 11 Laszlo Bona 2017-03-29 18:44:10 UTC Comment hidden (obsolete)
Comment 12 Aron Budea 2017-10-26 15:09:26 UTC
Created attachment 137305 [details]
RTF version (reduced)

Here's the RTF from attachment 121062 [details] reduced in Word 2013, which exhibits the bug, and could be used for bibisecting.
Comment 13 Aron Budea 2017-10-26 15:11:02 UTC
Bibisected to the following commit using repo  bibisect-44max. Adding Cc: to Michael Stahl, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f8e8e476aa0a5576234dbb4daac9dc299e044e61
author		Michael Stahl <mstahl@redhat.com>	2014-08-02 16:55:55 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2014-08-02 17:09:44 (GMT)

fdo#81944: writerfilter: RTF import: don't drop fonts in stylesheet
Comment 14 Ari Latvala 2018-06-07 06:42:54 UTC
Problem still exist on LO 6.0.4. Line spacing on table chapter is 1.15 instead of single leading to incorrect page layout.
Comment 15 Ari Latvala 2018-06-07 06:48:50 UTC
Clarification, line spacing on the whole document is incorrectly 1.15 with LO 6.0.4, should be single.
Comment 16 Ari Latvala 2018-06-07 07:23:13 UTC
*** Bug 106637 has been marked as a duplicate of this bug. ***
Comment 17 Ari Latvala 2019-02-11 14:32:21 UTC
Problem still valid on LO 6.2.0.3 running on Linux 64-Bit
Comment 18 Michael Stahl (CIB) 2019-04-10 09:06:53 UTC
Comment on attachment 132264 [details]
doc layout in MS Word 2016

this attachment has nothing to do with the RTF file initially attached to this bug, and it's a PDF without the corresponding RTF, so it is quite useless for fixing anything -> tagging "obsolete"
Comment 19 Michael Stahl (CIB) 2019-04-10 09:07:05 UTC
Comment on attachment 132265 [details]
doc layout in Libre Office 5.1

this attachment has nothing to do with the RTF file initially attached to this bug, and it's a PDF without the corresponding RTF, so it is quite useless for fixing anything -> tagging "obsolete"
Comment 20 Michael Stahl (CIB) 2019-04-10 09:17:54 UTC
this was not fixed by commit 3d74ddd190a5087e0a54ef7b14d0a43006745ec3

apparently the paragraphs don't have any style applied to them in the RTF but in Word they have "Standard" and corresponding "Default Style" in Writer; it looks like the \s0 style is applied implicitly or something like that?